Skip to main content

Cancel shift

POST 

/api/v2/public/marketplace/shifts/cancel/:shiftId

General Information

Canceling a shift affects the following shift statuses:

  • Shift Open: shift.cancelled
  • Shift Requested: shift.cancelled, shift.request.cancelled
  • Shift Scheduled but Not Started: shift.cancelled, shift.scheduled.cancelled
  • Shift Scheduled and In Progress: shift.cancelled, shift.scheduled.cancelled

Webhooks Configuration

To stay up to date with shift cancellations, configure the following webhooks: Webhooks API Documentation

  • shift.cancelled
  • shift.request.cancelled
  • shift.scheduled.cancelled

Cancellation Reason

Possible reasons:

  • Filled internally: The shift was filled by internal staff within the organization.
  • Filled by other agency: The shift was filled by a clinician from another agency.
  • Talent not needed: The shift is no longer required, possibly due to changes in demand or scheduling errors.

Request​

Path Parameters

    shiftId stringrequired

    Nursa ShiftId

    Example: 8222234296

Body

required
    comment string

    General comment about the cancelation of the shift

    cancelationReason string

    Possible values: [Filled internally, Filled by other agency, Talent not needed, No call no show]

    Reason why the shift is being canceled

Responses​

Schema
    data object
    shiftId stringrequired

    Id of the shift

    status stringrequired

    Status of the shift

    facilityId stringrequired

    Id of the shift's Facility

    licenseType stringrequired

    License Type of the shift

Loading...